# AccountOffer | xrpl
Documentation for xrpl

# Interface AccountOffer

#### Hierarchy

- AccountOffer

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:41

#####
Index

### Properties

expiration?
flags
quality
seq
taker_gets
taker_pays

## Properties

### `Optional` expiration

expiration?: number

A time after which this offer is considered unfunded, as the number of seconds since the Ripple Epoch. See also: Offer Expiration.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:65

### flags

flags: number

Options set for this offer entry as bit-flags.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:43

### quality

quality: string

The exchange rate of the Offer, as the ratio of the original taker_pays divided by the original taker_gets. When executing offers, the offer with the most favorable (lowest) quality is consumed first; offers with the same quality are executed from oldest to newest.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:60

### seq

seq: number

Sequence number of the transaction that created this entry.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:45

### taker_gets

taker_gets: Amount

The amount the account placing this Offer receives.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:49

### taker_pays

taker_pays: Amount

The amount the account placing this Offer pays.

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:53

Generated using TypeDoc